
Redmine - Defect #10467

Confusing behavior while moving issue to a project with disabled Issues module

2012-03-16 12:21 - Dmitry Babenko

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed Affected version: 1.3.0

Description

Steps to reproduce

Move issue to a project with disabled Issues module

Actual result

403 error

issue is actually moved to the target project

there is no ability to view the issue until Issue module for the target project is disabled

Expected result

Issue should not be moved and user must see notification about disabled Issues module for the target project

Associated revisions

Revision 9267 - 2012-03-25 21:32 - Jean-Philippe Lang

Fixed that issues can be moved to projects with issue tracking disabled (#10467).

History

#1 - 2012-03-16 12:26 - Etienne Massip

- Category set to Issues

#2 - 2012-03-24 16:59 - Jean-Philippe Lang

- Target version set to 1.4.0

#3 - 2012-03-25 21:32 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r9267. Projects with issue tracking disabled are no longer proposed when moving issues.
